summaryrefslogtreecommitdiffstats
path: root/util/t
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-09-02 21:34:09 +0200
committermakefu <github@syntax-fehler.de>2013-09-02 21:34:09 +0200
commit4a150dd91c25ff36e1604fedb5354033d90a2049 (patch)
tree61a312e673386b9f1e71c66147141e8648ab407f /util/t
parent4f8ac29f0ca730d48212282605cd61c654a42529 (diff)
sanitize uriparse output
Diffstat (limited to 'util/t')
-rwxr-xr-xutil/t/uriparse/parse-retard-uri13
-rwxr-xr-xutil/t/uriparse/parse-url5
2 files changed, 16 insertions, 2 deletions
diff --git a/util/t/uriparse/parse-retard-uri b/util/t/uriparse/parse-retard-uri
new file mode 100755
index 00000000..14aab28e
--- /dev/null
+++ b/util/t/uriparse/parse-retard-uri
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -euf
+tempfile="`mktemp /tmp/test.XXXXXXXX`"
+trap "/bin/rm -f $tempfile" EXIT INT
+
+uriparse "http://'lolwut:\"khan@domain.tld/'''" > $tempfile
+. $tempfile
+[ $HOSTN == "domain.tld" ] && \
+ [ "$USERNAME" == "'lolwut" ] && \
+ [ "$PASSWORD" == '"khan' ] && \
+ [ "$URIPATH" == "/'''" ]
+
+
diff --git a/util/t/uriparse/parse-url b/util/t/uriparse/parse-url
index 153afb4a..b0c926ca 100755
--- a/util/t/uriparse/parse-url
+++ b/util/t/uriparse/parse-url
@@ -3,10 +3,11 @@ set -euf
tempfile="`mktemp /tmp/test.XXXXXXXX`"
trap "/bin/rm -f $tempfile" EXIT INT
-urlparse "http://user:pass@domain.tld/path" > $tempfile
+uriparse "http://user:pass@domain.tld/path" > $tempfile
. $tempfile
-[ $HOSTNAME == "domain.tld" ] && \
+[ $HOSTN == "domain.tld" ] && \
[ $USERNAME == "user" ] && \
[ $PASSWORD == "pass" ] && \
[ $URIPATH == "/path" ]
+